POST /api/v3/energyStar/submit

Initiate (create) a submission of place data to ENERGY STAR

CreateEnergyStarSubmissionV3 Permissions: ENERGYSTARSubmissions (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

EnergyStarSubmissionRequest
Property Description Type
places List of places/submission periods to include in ENERGY STAR submission Required Cannot be Empty EnergyStarSubmissionPlaceChild[]
EnergyStarSubmissionPlaceChild properties
Property Description Type
placeId The place identifier Required integer (int32)
submissionPeriods The list of submission periods to include in the submission Required Cannot be Empty integer[]
Example Request Body application/json
{  "places": [
    {    "placeId": 1,    "submissionPeriods": [
      1
    ]
  }
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EnergyStarTaskResponse
Property Description Type
beginDate The date the submission was initiated string (date-time)
energyStarTaskId The task identifier integer (int32)
metricsRetrievalLogFileName Filename of the log containing errors or alerts encountered during metrics retrieval string
metricsRetrievalTaskStatus Status for the metrics retrieval portion of the task string
numberOfPlaces The number of buildings in the submission integer (int32)
places The list of buildings/submission periods in the submission EnergyStarTaskPlaceChild[]
EnergyStarTaskPlaceChild properties
Property Description Type
building PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
taskPeriods The list of submission or metrics periods for the task NamedPeriod[]
NamedPeriod properties
Property Description Type
period Value of the period in format (YYYYPP) PP may be a calendar month (e.g. 01-12) but it could be an accounting period (e.g. 01-13) integer (int32)
periodName Name of the period to be displayed Should be empty if billing period string
submissionLogFileName Filename of the log containing errors encountered during submission Will be null if this task is only for metrics retrieval or if there were no errors during submission string
submissionTaskStatus Status for the submission portion of the task string
submissionType SubmissionTypeResponse
SubmissionTypeResponse properties
Property Description Type
submissionTypeId The identifier for the submission type integer (int32)
submissionTypeName The name of the submission type string
taskType The task type string
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
Example Response application/json
{  "beginDate": "2026-03-30",  "energyStarTaskId": 1,  "metricsRetrievalLogFileName": "string",  "metricsRetrievalTaskStatus": "string",  "numberOfPlaces": 1,  "places": [
    {    "building": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "taskPeriods": [
      {      "period": 1,      "periodName": "string"
    }
    ]
  }
  ],  "submissionLogFileName": "string",  "submissionTaskStatus": "string",  "submissionType": {    "submissionTypeId": 1,    "submissionTypeName": "string"
  },  "taskType": "string",  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
}